Bug 624792 - [abrt] pcmanfm-0.9.7-1.fc13: IA__gtk_container_foreach: Process /usr/bin/pcmanfm was killed by signal 11 (SIGSEGV)
[abrt] pcmanfm-0.9.7-1.fc13: IA__gtk_container_foreach: Process /usr/bin/pcma...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:7b09510337998761d375f010dfa...
:
: 605700 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 15:25 EDT by Lukas Zapletal
Modified: 2011-06-28 10:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.09 KB, text/plain)
2010-08-17 15:25 EDT, Lukas Zapletal
no flags Details

  None (edit)
Description Lukas Zapletal 2010-08-17 15:25:17 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: pcmanfm --desktop --profile lxde
comment: Seems the changin ownership of some file (pipe?) crashed the app
component: pcmanfm
crash_function: IA__gtk_container_foreach
executable: /usr/bin/pcmanfm
kernel: 2.6.33.6-147.2.4.fc13.i686
package: pcmanfm-0.9.7-1.fc13
rating: 4
reason: Process /usr/bin/pcmanfm was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282072671
uid: 501

How to reproduce
-----
1. run the app
2. chown -R your_login:your_group /home/your_login
3. app crash
Comment 1 Lukas Zapletal 2010-08-17 15:25:20 EDT
Created an attachment (id=439193)
File: backtrace
Comment 2 Terry Wallwork 2010-09-08 05:22:26 EDT
Package: pcmanfm-0.9.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Added a bookmark in the file manager and then it crashed.  It restarted automatically and appears to have successfully added the bookmarked directory.
Comment 3 Terry Wallwork 2010-09-08 08:12:39 EDT
Package: pcmanfm-0.9.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Added a bookmark in the file manager and then it crashed.  It restarted automatically and appears to have successfully added the bookmarked directory.
Comment 4 nomnex 2010-10-21 20:26:25 EDT
Package: pcmanfm-0.9.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I have installed LXDE F13 yesterday
2. Rennamed the default directories in ALL small letter. and shutdown the machine.
3. At loggin this morning, all the default directory appears on my desktop
4. Removing the bookmark directories (still with a first capital letter) crashed PCman


Comment
-----
Obviously I am a bit new to PCman. I come from GNOME. Renaming the directory with small letters updated the bookmarks in Gnome and did not add a copie of all the dir on the desktop. How do I achive the same on Lxde ie. renaming all the directory with small letters without having them to appear on my desktop and crashing PCman when I try to delete the bookmarks (probably because they are broken)? Thanks
Comment 5 nomnex 2010-10-21 23:06:08 EDT
Package: pcmanfm-0.9.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I have installed LXDE F13 yesterday
2. Rennamed the default directories in ALL small letter. and shutdown the machine.
3. At loggin this morning, all the default directory appears on my desktop
4. Removing the bookmark directories (still with a first capital letter) crashed PCman


Comment
-----
Obviously I am a bit new to PCman. I come from GNOME. Renaming the directory with small letters updated the bookmarks in Gnome and did not add a copie of all the dir on the desktop. How do I achive the same on Lxde ie. renaming all the directory with small letters without having them to appear on my desktop and crashing PCman when I try to delete the bookmarks (probably because they are broken)? Thanks
Comment 6 Terry Wallwork 2010-10-23 07:04:54 EDT
Package: pcmanfm-0.9.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Added a bookmark in the file browser dialog called Public
Comment 7 Karel Klíč 2010-11-09 10:45:02 EST
*** Bug 605700 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2011-06-01 07:20:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-28 10:32:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.